{% extends "paysans/farmspace.html" %}

{% block page_title %}
    Détails du contrat n°{{ contract.id }}
{% endblock %}

{% block back_zone %}
    <a href="{% url 'farm_contracts_list' ferme_id=ferme.id %}?year={{ contract.date_signature|date:"Y" }}&period={{ contract.semestre_contrat }}">
        << Retour à la liste des contrats
    </a>
{% endblock %}

{% block farm_content %}
    Souscripteur : {{ contract.souscripteur.last_name|upper }} {{ contract.souscripteur.first_name }}
    (<a href="mailto:{{ contract.souscripteur.email }}">{{ contract.souscripteur.email }}</a>)
    <br>
    Date de signature : {{ contract.date_signature|date:"d/m/Y" }}
    <br>
    Date de dernière modification :
    {% if contract.date_modification %}
        {{ contract.date_modification|date:"d/m/Y" }}
    {% else %}
        Jamais
    {% endif %}
    <br>
    Période concernée : du {{ contract.date_debut|date:"d/m/Y" }} au {{ contract.date_fin|date:"d/m/Y" }}
    <br>
    Nombre de livraisons : {{ contract.nombre_livraisons }}
    <br>
    Valeur totale : {{ contract.valeur_totale|floatformat:2 }} €
    <br>

    <h2 class="mt-3">Commandes</h2>
    <section class="mt-4 px-4">
        {% for delivery_id, product_info in product_amounts.items %}
            {% with delivery=deliveries|get_item:delivery_id %}
                <article class="card mt-3">
                    <h2 class="card-header">
                        Livraison du {{ delivery.date_heure|date:"l d/m/Y" }}
                    </h2>
                    <div class="card-body">
                        <ul class="list-group list-group-flush">
                            {% for product_id, product_data in product_info.items %}
                                {% with product=products|get_item:product_id %}
                                    <li class="list-group-item d-flex flex-row justify-content-between">
                                        <span>
                                            {{ product_data.amount }} x {{ product.quantite_unitaire }} de {{ product.produit.nom }}
                                            @ {{ product.tarif_vente|floatformat:2 }} €/u
                                        </span>
                                        <span>
                                            Sous-total : {{ product_data.total_price|floatformat:2 }} €
                                        </span>
                                    </li>
                                {% endwith %}
                            {% endfor %}
                        </ul>
                    </div>
                </article>
            {% endwith %}
        {% endfor %}
    </section>
{% endblock %}
